require( "scripts/style.lua" );

MetricsMode(10);

SetTopModalOnly(true);

TitleFont = {
  standardFont,
  70,
  Color(0,0,0,120)
};


MakeDialog
{
	Bitmap
	{
		name="creditsbackground",
		image="Game/UI/Instructions/InstBackdrop.jpg",	
		
				
		Text
		{
			font = TitleFont,
			name = "title",
			x=0,y=5,w=800 ,h=75,
			flags = kHAlignCenter + kVAlignTop,
			label = "credits"
		};
		
		Text
		{
			font = BuildFont,
			name = "build",
			x=115,y=545,w=790,h=40,
			flags = kHAlignLeft + kVAlignCenter,
			label = "build"
		};
			

		CreditsWindow
		{
			x = 0,
			y = 50,
			width = 800,
			height = 240,
			font = standardFont,
			fontsize = 32,
			fontcolor = Color(255,255,255,255),
			headercolor = Color(200,200,200,200),
			file = "assets/credits/credits.txt",
			
		
		},
		
	
		Button
		{
			x=530,
			y=538,
			font = StandardButtonFont,
			graphics = StandardButtonGraphics,
			name="back",
			type = kPush,
			flags = kHAlignCenter + kVAlignCenter,
			label="back",
			command = 
				function()
					PopModal();
					SetTopModalOnly(false);
				end
		};
	},
}